$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-viewer'
$url        = 'https://www.softwareideas.net/Download/File/851/SoftwareIdeasViewer-11-101.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'Software Ideas Viewer*'

  checksum      = '248191d36d1297217c78079aa73b14e7d53143555c4f730b1a6965dd33a2d22c'
  checksumType  = 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
